### Function

# Gtk.TreeModelForeachFunc

#### Declaration

    gboolean
    TreeModelForeachFunc (
      GtkTreeModel* model,
      GtkTreePath* path,
      GtkTreeIter* iter,
      gpointer data
    )

#### Description [src]

Type of the callback passed to `gtk_tree_model_foreach()` to iterate over the rows in a tree model.

#### Parameters

`model` | `GtkTreeModel`
| the `GtkTreeModel` being iterated
| Ownership is not transferred to the callee
`path` | `GtkTreePath`
| the current `GtkTreePath`
| Ownership is not transferred to the callee
`iter` | `GtkTreeIter`
| the current `GtkTreeIter`
| Ownership is not transferred to the callee
`data` | `gpointer`
| The user data passed to `gtk_tree_model_foreach()`

#### Return value

Returns: `gboolean`
`TRUE` to stop iterating, `FALSE` to continue